package com.bokecc.livemodule.live.chat.module;


/**
 * Copyright (C), 20105-2021, 创盛视联数码科技（北京）有限公司
 * FileName:
 * Author:
 * Date: 2023/2/8
 * Description:
 */
public class ChatTopEntity {

    private String id;
    private String content;
    private String fromViewerId;
    private String fromViewerName;
    private String fromViewerAvatar;
    private String fromViewerGroupId;

    private boolean expand = false;
    /**
     * //主讲、推流端角色
     * PBULISHER(1, "publisher"),
     * //助教端角色
     * TEACHER(2, "teacher"),
     * //主持人角色
     * HOST(3, "host"),
     * //学生、观看端角色
     * STUDENT(4, "student"),
     * // 小班课 讲师
     * PRESENTER(10, "presenter"),
     * // 小班课 互动者
     * TALKER(11, "talker"),
     * // 小班课 旁听
     * AUDIENCE(12, "audience"),
     * // 小班课 隐身者
     * INSPECTOR(13, "inspector"),
     * // 小班课 助教
     * ASSISTANT(14, "assistant"),
     * //其它角色
     * OTHER(0, "other");
     */
    private int fromViewerRole;

    public ChatTopEntity(String id, String content, String fromViewerId, String fromViewerName, String fromViewerAvatar, String fromViewerGroupId, int fromViewerRole) {
        this.id = id;
        this.content = content;
        this.fromViewerId = fromViewerId;
        this.fromViewerName = fromViewerName;
        this.fromViewerAvatar = fromViewerAvatar;
        this.fromViewerGroupId = fromViewerGroupId;
        this.fromViewerRole = fromViewerRole;
    }

    public String getId() {
        return id;
    }

    public String getContent() {
        return content;
    }

    public String getFromViewerId() {
        return fromViewerId;
    }

    public String getFromViewerName() {
        return fromViewerName;
    }

    public String getFromViewerAvatar() {
        return fromViewerAvatar;
    }

    public String getFromViewerGroupId() {
        return fromViewerGroupId;
    }

    public int getFromViewerRole() {
        return fromViewerRole;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setFromViewerId(String fromViewerId) {
        this.fromViewerId = fromViewerId;
    }

    public void setFromViewerName(String fromViewerName) {
        this.fromViewerName = fromViewerName;
    }

    public void setFromViewerAvatar(String fromViewerAvatar) {
        this.fromViewerAvatar = fromViewerAvatar;
    }

    public void setFromViewerGroupId(String fromViewerGroupId) {
        this.fromViewerGroupId = fromViewerGroupId;
    }

    public void setFromViewerRole(int fromViewerRole) {
        this.fromViewerRole = fromViewerRole;
    }

    public boolean isExpand() {
        return expand;
    }

    public void setExpand(boolean expand) {
        this.expand = expand;
    }
}
